Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package cmd
  Definition Classes
    tools
-  object Spec
  Definition Classes
    cmd
- Accumulator
- Choices
- EnvironmentVar
- Info

c

scala.tools.cmd.Spec

# Accumulator 

###

#### class Accumulator[T] extends AnyRef

Source
  Spec.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Accumulator
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Accumulator()(implicit arg0: FromString[T])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Accumulator[T] to any2stringadd[Accumulator[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Accumulator[T], B)
   Implicit
     This member is added by an implicit conversion from Accumulator[T] to ArrowAssoc[Accumulator[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def apply(s: String): T
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def convert(s: String): T
10.  def ensuring(cond: (Accumulator[T]) ⇒ Boolean, msg: ⇒ Any): Accumulator[T]
    Implicit
      This member is added by an implicit conversion from Accumulator[T] to Ensuring[Accumulator[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (Accumulator[T]) ⇒ Boolean): Accumulator[T]
    Implicit
      This member is added by an implicit conversion from Accumulator[T] to Ensuring[Accumulator[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: ⇒ Any): Accumulator[T]
    Implicit
      This member is added by an implicit conversion from Accumulator[T] to Ensuring[Accumulator[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): Accumulator[T]
    Implicit
      This member is added by an implicit conversion from Accumulator[T] to Ensuring[Accumulator[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Accumulator[T] to StringFormat[Accumulator[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  lazy val get: List[T]
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (Accumulator[T], B)
    Implicit
      This member is added by an implicit conversion from Accumulator[T] to ArrowAssoc[Accumulator[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Accumulator[T] to any2stringadd[Accumulator[T]]

### Inherited by implicit conversion StringFormat from Accumulator[T] to StringFormat[Accumulator[T]]

### Inherited by implicit conversion Ensuring from Accumulator[T] to Ensuring[Accumulator[T]]

### Inherited by implicit conversion ArrowAssoc from Accumulator[T] to ArrowAssoc[Accumulator[T]]

### Ungrouped